Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Not Building
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
jgehrig
n00b
n00b


Joined: 15 Nov 2009
Posts: 15

PostPosted: Tue Oct 08, 2013 2:48 am    Post subject: KDE4 Not Building Reply with quote

I'm reviving a box which hasn't seen any updates for a year or so, and KDE will not build.
I cleaned out my world file down to the essentials, and ensured the system had all the proper dependencies & libraries. Ran a depclean, Revdep-rebuild and every checked out and updated just fine.

The trouble came with trying to re-install the latest version of kde, everything but pykde4 builds. This prevents me from installing plasma-workspace. Every other component in kdebase-meta builds, so this is the last hold out.
I've checked out my python install and it seems to be okay, and python-updater passes without any errors.
Can't find anyone else who's had a similar problem on the forums... Any ideas?

I'm not familiar with sip, so I'm not really sure how to debug the problem.

Here is the package info:
http://pastebin.com/HjGRDcN3

Here's my build log:
http://pastebin.com/Bc0yjRGP
Code:

/usr/bin/sip -t ALL -t WS_X11 -t Qt_4_8_4 -x VendorID -x PyQt_NoPrintRangeBug -g -x PyKDE_QVector -j 8 -c /var/tmp/portage/kde-base/pykde4-4.11.1/work/pykde4-4.11.1-python3_3/sip/akonadi -I /usr/share/sip -I /var/tmp/portage/kde-base/pykde4-4.11.1/work/pykde4-4.11.1/sip /var/tmp/portage/kde-base/pykde4-4.11.1/work/pykde4-4.11.1/sip/akonadi/akonadimod.sip
sip: Unable to find file "QtCore/QtCoremod.sip"
make[2]: sip: *** [sip/knewstuff/sipknewstuffpart0.cpp] Error 1
Unable to find file "QtCore/QtCoremod.sip"
make[2]: Leaving directory `/var/tmp/portage/kde-base/pykde4-4.11.1/work/pykde4-4.11.1-python3_3'
make[2]: Generating sip/khtml/sipkhtmlpart0.cpp, sip/khtml/sipkhtmlpart1.cpp, sip/khtml/sipkhtmlpart2.cpp, sip/khtml/sipkhtmlpart3.cpp, sip/khtml/sipkhtmlpart4.cpp, sip/khtml/sipkhtmlpart5.cpp, sip/khtml/sipkhtmlpart6.cpp, sip/khtml/sipkhtmlpart7.cpp
*** [sip/kdeui/sipkdeuipart0.cpp] Error 1


Any Ideas how to fix this problem?
If any additional logs will help, I can post them
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5267

PostPosted: Tue Oct 08, 2013 4:57 am    Post subject: Reply with quote

Rebuild PyQt4 and retry.
Back to top
View user's profile Send private message
bec
Tux's lil' helper
Tux's lil' helper


Joined: 30 Sep 2004
Posts: 146
Location: Cali - Colombia

PostPosted: Tue Oct 08, 2013 1:32 pm    Post subject: Reply with quote

I think you encountered bug 485378
_________________
abe
Back to top
View user's profile Send private message
jgehrig
n00b
n00b


Joined: 15 Nov 2009
Posts: 15

PostPosted: Wed Oct 09, 2013 8:06 pm    Post subject: Reply with quote

I tried rebuilding PyQt4, didn't seem to have any effect on the error messages I'm getting.

I also tried the fix from the bug you sent, no luck on that one either. Pykde4 still fails to build after running the following command to downgrade several packages.
Code:

emerge =dev-python/PyQt4-4.10.2 =dev-python/sip-4.14.7 =kde-base/pykde4-4.11.1
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum